# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri May  7 07:44:17 2021
# ------------------------------------------------

package:
  name: libprotobuf
  version: 3.16.0
source:
  - patches: null
    sha256: 7892a35d979304a404400a101c46ce90e85ec9e2a766a86041bb361f626247f5
    url: https://github.com/protocolbuffers/protobuf/archive/v3.16.0/libprotobuf-v3.16.0.tar.gz
  - folder: third_party/benchmark
    sha256: 5dc92703f811f94e2aa63bdab07ab749f28a094befa6cdfd5fe177f947590a48
    url: https://github.com/google/benchmark/archive/5b7683f49e1e9223cf9927b24f6fd3d6bd82e3f8.tar.gz
  - folder: third_party/googletest
    sha256: 0e2f36e8e403c125fd0ab02171bdb786d3b6b3875b6ccf3b2eb7969be8faecd0
    url: https://github.com/google/googletest/archive/5ec7f0c4a113e2f18ac2c6cc7df51ad6afc24081.tar.gz
build:
  number: '0'
  run_exports:
    - libprotobuf >=3.16.0,<3.17.0a0
  string: h780b84a_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - autoconf 2.69 pl5320h36c2ea0_10
    - automake 1.16.2 pl5320ha770c72_3
    - binutils_impl_linux-64 2.35.1 h193b22a_2
    - binutils_linux-64 2.35 h67ddf6f_30
    - gcc_impl_linux-64 9.3.0 h70c0ae5_19
    - gcc_linux-64 9.3.0 hf25ea35_30
    - gxx_impl_linux-64 9.3.0 hd87eabc_19
    - gxx_linux-64 9.3.0 h3fbe746_30
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libgcc-devel_linux-64 9.3.0 h7864c58_19
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
    - libstdcxx-devel_linux-64 9.3.0 hb016644_19
    - libstdcxx-ng 9.3.0 h6de172a_19
    - libtool 2.4.6 h58526e2_1007
    - m4 1.4.18 h516909a_1001
    - make 4.3 hd18ef5c_1
    - perl 5.32.0 h36c2ea0_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - sysroot_linux-64 2.12 h77966d4_13
    - unzip 6.0 h7f98852_2
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
    - libstdcxx-ng 9.3.0 h6de172a_19
    - zlib 1.2.11 h516909a_1010
  run:
    - libgcc-ng >=9.3.0
    - libstdcxx-ng >=9.3.0
    - zlib >=1.2.11,<1.3.0a0
    - zlib >=1.2.11,<1.3.0a0
about:
  description: 'Protocol buffers are Google''s language-neutral,

    platform-neutral, extensible mechanism for serializing structured data-

    think XML, but smaller, faster, and simpler.

    '
  doc_source_url: https://github.com/protocolbuffers/protobuf/releases
  doc_url: https://developers.google.com/protocol-buffers/
  home: https://developers.google.com/protocol-buffers/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Protocol Buffers - Google's data interchange format. C++ Libraries and
    protoc, the protobuf compiler.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - dopplershift
    - hajapy
    - jakirkham
    - ocefpaf
    - wesm
    - xhochy
